package book

import "github.com/gin-gonic/gin"

func registerBookRoutes(router gin.IRoutes, routerWithoutRecord gin.IRoutes) {
	router.POST("createBook", bookApiGroup.BookApi.CreateBook)
	router.DELETE("deleteBook", bookApiGroup.BookApi.DeleteBook)
	router.DELETE("deleteBookByIds", bookApiGroup.BookApi.DeleteBookByIds)
	router.PUT("updateBook", bookApiGroup.BookApi.UpdateBook)
	routerWithoutRecord.GET("findBook", bookApiGroup.BookApi.FindBook)
	routerWithoutRecord.GET("getBookList", bookApiGroup.BookApi.GetBookList)
}
